cancel
Showing results for 
Search instead for 
Did you mean: 

Who Me Too'd this topic

Failing Templete job in Ansible Tower, but works in Ansible Core.

L0 Member

I have been able to take what was given at Ignite '18 and can run the create_service.yml in  se_summit folder without issue. However, after installing Ansible Tower, I can't get it to work at all. Doing some digging I was able to determine that it's either an issue with the firewall or username / password. 

I tested my theory by attempting to run the create_service.yml without updateing the vars. yml file. and received the following error. The same happens while running the same yaml file within my template. 

 

Things I have done in Ansible Tower

Downloaded project from GIT

Created the credentials (both network and machine and tried both)

Created inventory and host

 

Things I have done to create_service.yml file ( in folder /var/lib/awx/projects/_16__pan/ansible-playbooks/se_summit_2018)

commented out the lines declaring IP address, username and password. as well as commenting out the use of the vars.yml. I am at a loss - any help would be appreciated.

 

======================================================================================================

 

An exception occurred during task execution. To see the full traceback, use -vvv. The error was: pandevice.errors.PanURLError: URLError: code: 415 reason: Unsupported Media Type fatal: [localhost]: FAILED! => {"changed": false, "module_stderr": "Traceback (most recent call last):\n File \"/usr/local/lib/python3.6/site-packages/pandevice/base.py\", line 3469, in method\n super_method(self, *args, **kwargs)\n File \"/usr/local/lib/python3.6/site-packages/pan/xapi.py\", line 637, in keygen\n raise PanXapiError(self.status_detail)\npan.xapi.PanXapiError: URLError: code: 415 reason: Unsupported Media Type\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/var/lib/awx/.ansible/tmp/ansible-tmp-1573378900.0737493-200321119739176/AnsiballZ_panos_object.py\", line 114, in <module>\n _ansiballz_main()\n File \"/var/lib/awx/.ansible/tmp/ansible-tmp-1573378900.0737493-200321119739176/AnsiballZ_panos_object.py\", line 106, …
Who Me Too'd this topic